// Programacin en C++ para Ingenieros, Ed. Thomson Paraninfo, 2006
// Captulo 4: Esquemas Algortmicos Bsicos

// Programa que dadas las ventas de dos bebidas A y B,
// calcula el beneficio de cada una de ellas.

#include <iostream>

using namespace std;

// Definicin de constantes
const int   stockA  = 100;  // Stock mximo de bebidas A
const int   stockB  = 100;  // Stock mximo de bebidas B
const float precioA = 0.75; // Precio por bebida A
const float precioB = 0.95; // Precio por bebida A

// Programa principal
int main()
{
  // Declaracin de variables
  bool encontrado = false;
  int  ventasA = 0, ventasB = 0;
  char c;

  // Se aplicar el esquema de bsqueda generalizado:

  cout << "Pulsa A o B segun la bebida deseada (F para finalizar): ";

  // Obtencin del primer elemento
  cin >> c;

  while ( ( c != 'F' ) && ( !encontrado ) ) // No ltimo elemento y no encontrado
  {
    // Tratar elemento
    if ( c == 'A' ) ventasA++;
    else if ( c == 'B' ) ventasB++;

    if ( (ventasA == stockA) || (ventasB == stockB) )
      encontrado = true;
    else // Obtener siguiente elemento
      cin >> c;
  }

  // Salida de los resultados
  cout << "La bebida A ha proporcinado un beneficio de ";
  cout << (double)(ventasA) * precioA << endl;
  cout << "La bebida B ha proporcinado un beneficio de ";
  cout << (double)(ventasB) * precioB << endl;

  return 0;
}
